Bug 4687 - Notifications from RFT to WS-GRAM
: Notifications from RFT to WS-GRAM
Status: CLOSED FIXED
: GRAM
wsrf managed execution job service
: 4.0.2
: PC Linux
: P3 normal
: 4.2
Assigned To:
:
:
:
: 4664
  Show dependency treegraph
 
Reported: 2006-09-06 11:03 by
Modified: 2007-01-25 01:44 (History)


Attachments
patch for StagingListener.java from globus_4_0_branch (1.09 KB, patch)
2006-10-03 11:27, Martin Feller
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-06 11:03:39
Notifications from RFT to WS-GRAM

during performance tests we found that not all of the notifications
sent by RFT to WS-GRAM about changes in the state of a filetransfer
must be processed.
So far every time a notification comes in the corresponding job resource
will be queued and processed again. But only notifications that
indicate that a transfer finished or failed must be processed. The
other could be ignored. But so far the corresponding job resources
are put in a RunQueue too and a RunThread is used to process it
even if no work has to be done. This could be saved

In a test with 2000 jobs we found that there had been 7867 notifications
that must be processed because they indicated that a transfer finished
or failed but also 4127 notifications that could have been ignored.

About 10-15 tests with 2000 jobs had been run where only the relevant
notifications had been processed in WS-GRAM. A patch will be attached soon.
------- Comment #1 From 2006-09-06 11:35:51 -------
I hope you are not talking about removing Active notification from being sent
from RFT.
------- Comment #2 From 2006-09-06 11:53:34 -------
No, did you understand it like that?
I only talked about the WS-GRAM side and the way such a notification
is processed in WS-GRAM
------- Comment #3 From 2006-10-02 18:54:42 -------
This isn't a formal campaign so I'm changing the Component item appropriately.
Martin, didn't you commit this change already? If so, could you close this bug
report out. If not, what needs to be done for this still?
------- Comment #4 From 2006-10-03 04:42:08 -------
Peter:
I didn't commit changes because I'm not a committer so far.
If you don't mind: could you commit that change? Tell me if you'll
do it and if you need the code changes again.
I mentioned in the description that a patch will be applied here.
I think this is not really necessary now since the original behaviour
is no bug.
------- Comment #5 From 2006-10-03 09:25:52 -------
Oh, right. Yes, please attach the patch and I'll commit it. The meaning of
"bug" is used rather loosely here. After all, we use bugzilla to store campaign
and roadmap items as well, for example.
------- Comment #6 From 2006-10-03 11:27:56 -------
Created an attachment (id=1064) [details]
patch for StagingListener.java from globus_4_0_branch

here's the patch. I just created it for globus_4_0_branch.